Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.extra.spath
Class SPathParserTokenManager

    java.lang.Object
      org.apache.taglibs.standard.extra.spath.SPathParserTokenManager

All Implemented Interfaces:
  SPathParserConstants

    public class SPathParserTokenManager

extends Object
implements SPathParserConstants

Field Summary
`protected char` | `curChar`
`static String[]` | `jjstrLiteralImages`
`static String[]` | `lexStateNames`

Fields inherited from interface org.apache.taglibs.standard.extra.spath.SPathParserConstants
`AT, COLON, COMBINING_CHAR, DASH, DEFAULT, DIGIT, DOT, END_BRACKET, EOF, EQUALS, EXTENDER, LETTER, LITERAL, NCNAME, NCNAMECHAR, NSWILDCARD, QNAME, SLASH, STAR, START_BRACKET, tokenImage, UNDERSCORE`

Constructor Summary
`SPathParserTokenManager(ASCII_UCodeESC_CharStream stream)`
`SPathParserTokenManager(ASCII_UCodeESC_CharStream stream, int lexState)`

Method Summary
`Token` | `getNextToken()`
`void` | `ReInit(ASCII_UCodeESC_CharStream stream)`
`void` | `ReInit(ASCII_UCodeESC_CharStream stream, int lexState)`
`void` | `SwitchTo(int lexState)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjstrLiteralImages

    public static final String[] jjstrLiteralImages

### lexStateNames

    public static final String[] lexStateNames

### curChar

    protected char curChar

Constructor Detail

### SPathParserTokenManager

    public SPathParserTokenManager(ASCII_UCodeESC_CharStream stream)

### SPathParserTokenManager

    public SPathParserTokenManager(ASCII_UCodeESC_CharStream stream,
                                   int lexState)

Method Detail

### ReInit

    public void ReInit(ASCII_UCodeESC_CharStream stream)

### ReInit

    public void ReInit(ASCII_UCodeESC_CharStream stream,
                       int lexState)

### SwitchTo

    public void SwitchTo(int lexState)

### getNextToken

    public final Token getNextToken()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.